Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client
Interface RedirectHandler

All Known Implementing Classes:
  DefaultRedirectHandler

Deprecated. (4.1) use `RedirectStrategy`

    @Deprecated
    public interface RedirectHandler

A handler for determining if an HTTP request should be redirected to a new location in response to an HTTP response received from the target server.

Implementations of this interface must be thread-safe. Access to shared data must be synchronized as methods of this interface may be executed from multiple threads.

Since:
  4.0

Method Summary
`URI` | `getLocationURI(HttpResponse response, HttpContext context)` Deprecated. Determines the location request is expected to be redirected to given the response from the target server and the current request execution context.
`boolean` | `isRedirectRequested(HttpResponse response, HttpContext context)` Deprecated. Determines if a request should be redirected to a new location given the response from the target server.

Method Detail

### isRedirectRequested

    boolean isRedirectRequested(HttpResponse response,
                                HttpContext context)

  Deprecated.
  Determines if a request should be redirected to a new location given the response from the target server.

  Parameters:
    `response` - the response received from the target server
    `context` - the context for the request execution
  Returns:
    `true` if the request should be redirected, `false` otherwise

### getLocationURI

    URI getLocationURI(HttpResponse response,
                       HttpContext context)
                       throws ProtocolException

  Deprecated.
  Determines the location request is expected to be redirected to given the response from the target server and the current request execution context.

  Parameters:
    `response` - the response received from the target server
    `context` - the context for the request execution
  Returns:
    redirect URI
  Throws:
    `ProtocolException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.